Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class MakeConnection

    java.lang.Object
      org.apache.sandesha2.wsrm.MakeConnection

All Implemented Interfaces:
  IOMRMElement, IOMRMPart

    public class MakeConnection

extends java.lang.Object
implements IOMRMPart

Only MC namespace supported

Constructor Summary
`MakeConnection()`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement makeConnectionElement)`
`java.lang.String` | `getAddress()`
`Identifier` | `getIdentifier()`
`java.lang.String` | `getNamespaceValue()`
`javax.xml.namespace.QName` | `getUnexpectedElement()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`void` | `setAddress(java.lang.String address)`
`void` | `setIdentifier(Identifier identifier)`
`void` | `setUnexpectedElement(javax.xml.namespace.QName unexpectedElement)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement body)`
`void` | `toSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MakeConnection

    public MakeConnection()

Method Detail

### toSOAPEnvelope

    public void toSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope)

  Specified by:
    `toSOAPEnvelope` in interface `IOMRMPart`

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement makeConnectionElement)
                                   throws org.apache.axiom.om.OMException,
                                          org.apache.axis2.AxisFault

  Specified by:
    `fromOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`
    `org.apache.axis2.AxisFault`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement body)
                                              throws org.apache.axiom.om.OMException

  Specified by:
    `toOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### getAddress

    public java.lang.String getAddress()

### setAddress

    public void setAddress(java.lang.String address)

### getIdentifier

    public Identifier getIdentifier()

### setIdentifier

    public void setIdentifier(Identifier identifier)

### setUnexpectedElement

    public void setUnexpectedElement(javax.xml.namespace.QName unexpectedElement)

### getUnexpectedElement

    public javax.xml.namespace.QName getUnexpectedElement()

### getNamespaceValue

    public java.lang.String getNamespaceValue()

  Specified by:
    `getNamespaceValue` in interface `IOMRMElement`

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

  Specified by:
    `isNamespaceSupported` in interface `IOMRMElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.